GetClusterPolicy - Amazon Aurora DSQL

GetClusterPolicy

Retrieves the resource-based policy document attached to a cluster. This policy defines the access permissions and conditions for the cluster.

Request Syntax

GET /cluster/identifier/policy HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

identifier

The ID of the cluster to retrieve the policy from.

Pattern: [a-z0-9]{26}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "policy": "string", "policyVersion": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

policy

The resource-based policy document attached to the cluster, returned as a JSON string.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 20480.

policyVersion

The version of the policy document. This version number is incremented each time the policy is updated.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

The request processing has failed because of an unknown error, exception or failure.

retryAfterSeconds

Retry after seconds.

HTTP Status Code: 500

ResourceNotFoundException

The resource could not be found.

resourceId

The resource ID could not be found.

resourceType

The resource type could not be found.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

message

The message that the request was denied due to request throttling.

quotaCode

The request exceeds a request rate quota.

retryAfterSeconds

The request exceeds a request rate quota. Retry after seconds.

serviceCode

The request exceeds a service quota.

HTTP Status Code: 429

ValidationException

The input failed to satisfy the constraints specified by an AWS service.

fieldList

A list of fields that didn't validate.

reason

The reason for the validation exception.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: